package cl.jtv;

/*
 * ComandoECE.java
 *
 * Created on 19 de febrero de 2003, 02:51 AM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoECE extends Comando {
    
    private CondicionEnlace lastCondicionEnlace;
    /** Creates new ComandoECE */
    public ComandoECE(Object newArtefacto, Vector2 newVector2,CondicionEnlace cloneCondicionEnlace) {
        super(newArtefacto,newVector2);
        lastCondicionEnlace = cloneCondicionEnlace;
    }

    public void doIt() {
        Enlace enlace = (Enlace)artefacto;
        enlace.condicionEnlace = null;
        enlace.condicionEnlace = lastCondicionEnlace;
        
        super.doIt();
    }
    
    
}
